.modal {
  transition: opacity 0.25s linear;
}

.modal::before {
  content: ' ';
  display: block;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  background-color: rgb(0 0 0 / 50%);
}

.modal__container {
  position: fixed;
  top: calc(1vh + (50% - 215px));
  right: calc(50% - 214px);
  background: var(--color-white);
  box-shadow: 0 0 25px rgb(0 0 0 / 15%);
  border-radius: 16px;
  padding: 0 36px;
  z-index: 1;
}

.modal__close-button {
  position: absolute;
  padding: 0;
  width: 40px;
  height: 40px;
  top: -46px;
  right: -46px;
  background-color: transparent;
  border: none;
  cursor: pointer;
}

@media screen and (width <= 766px) {
  .modal__close-button {
    right: 16px;
  }
}

@media screen and (width <= 490px) {
  .modal__container {
    top: 56px;
    left: 0;
    width: 100%;
    padding: 0 16px;
  }

  .modal__close-button {
    width: 24px;
    height: 24px;
    top: -40px;
  }
}
